package genetic

import neuralnetwork "../neuralnetwork"

type IndividalResult struct {
	result float64
	index  int
}

type PopulationVerifier interface {
	Verify(*Population) []*IndividalResult
}

type Mutagen interface {
	Mutate(network *neuralnetwork.NeuralNetwork)
}
